Autor Thema: Raildriver für LokSim3D  (Gelesen 11769 mal)

Offline DerE10ner

  • Standard-Benutzer
  • *
  • Beiträge: 6
Raildriver für LokSim3D
« am: März 27, 2012, 18:17:32 Nachmittag »
Hallo Freunde!
Ich habe da so ein Problem. Ich benutze Windows 7 64 bit und habe einen Raildriver.
Diesen würde ich auch gerne für LokSim benutzen.
Wer kann mir da helfen?

Gruss. DerE10ner

Offline AlfredW.

  • Hero Member
  • *****
  • Beiträge: 2631
  • BR 64 "Bubikopf"
Re: Raildriver für LokSim3D
« Antwort #1 am: März 27, 2012, 18:23:52 Nachmittag »
Hallo,

das Thema war doch hiermit abgehakt:
http://loksim.de/smf/index.php?topic=678.msg12442#msg12442
Oder ?

Gruß
Alfred

Offline Der Stebener

  • Global Moderator
  • Hero Member
  • *****
  • Beiträge: 505
  • ex 218 390-3
    • Seite auf meinem Raspberry Pi
Re: Raildriver für LokSim3D
« Antwort #2 am: März 27, 2012, 18:37:09 Nachmittag »
Denke ich auch, deswegen: Gitter davor! :D

Gruß
Jan
"Ich bin keine Signatur, ich putz' hier nur!"
Info: Unterstützung ICQ zum 14.10.2016 eingestellt!

Offline DerE10ner

  • Standard-Benutzer
  • *
  • Beiträge: 6
Re: Raildriver für LokSim3D
« Antwort #3 am: März 28, 2012, 08:22:06 Vormittag »
Vielen Dank für die nette
Behandlung.
Habe alles gemacht wie es in Eurer Anleitung steht.

Es funktioiert aber nicht.

Bekomme Fehlermeldung

Offline lukash

  • Administrator
  • Hero Member
  • *****
  • Beiträge: 1900
    • Loksim Tools Downloads
Re: Raildriver für LokSim3D
« Antwort #4 am: März 28, 2012, 11:09:42 Vormittag »
Bekomme Fehlermeldung
Und die lautet wie?  ???

Offline DerE10ner

  • Standard-Benutzer
  • *
  • Beiträge: 6
Re: Raildriver für LokSim3D
« Antwort #5 am: März 30, 2012, 09:11:05 Vormittag »
System.Windows.Forms

System.Runtime.Interop.COMException(0x80040154):Klasse nicht registriert

Insgesammt 21 Zeilen

Nach Beenden erscheint:
LokSim3D-Raildriver Schnittstelle funktioniert nicht mehr

Offline lukash

  • Administrator
  • Hero Member
  • *****
  • Beiträge: 1900
    • Loksim Tools Downloads
Re: Raildriver für LokSim3D
« Antwort #6 am: März 30, 2012, 12:18:56 Nachmittag »
Mit Strg +C kannst Du bei Anzeige der MessageBox die ganze Fehlermeldung kopieren und dann mit Strg + V hier einfügen.

Ich vermute zwei Fehlerquellen:
Hast Du vorher die LoksimControl.exe mit Administratorrechten ausgeführt?
Hast Du den RailDriver installiert? (Funktioniert er in anderen Anwendungen)?

Offline DerE10ner

  • Standard-Benutzer
  • *
  • Beiträge: 6
Re: Raildriver für LokSim3D
« Antwort #7 am: März 30, 2012, 20:42:49 Nachmittag »
Habe RaildriverControl Datei mit Administratoren Rechten ausgeführt. Eine exe erschien nicht.
Meldung: Ist registriert.
Die Meldung kam nach dem Aufrufen von der Datei RailDriver.

Der Raildriver ist installiert und läuft super unter PTP2.
Beim MSTS läuft er nicht, weil es keinen Treiber für Win7 64bit gibt.

P.S.:NetFramework 2.0 läuft nicht unter 64bit

Offline lukash

  • Administrator
  • Hero Member
  • *****
  • Beiträge: 1900
    • Loksim Tools Downloads
Re: Raildriver für LokSim3D
« Antwort #8 am: April 02, 2012, 02:03:57 Vormittag »
Hm, da ich keinen RailDriver habe, sind Tests für mich nicht möglich und leider finde ich wenig Informationen zu den Bibliotheken die ich damals zur Erstellung der RailDriver Anbindung erstellt habe.

Eventuell ist mein Programm damit tatsächlich nicht mit Windows 7 (64 Bit?) kompatibel. Wenn es etwas ruhiger ist, werde ich schauen ob ich da etwas machen kann oder bessere Informationen finde

P.S.:NetFramework 2.0 läuft nicht unter 64bit
Das ist nicht das Problem: Das .NET Framework 2.0 läuft problemlos unter 64 Bit und ist bei Windows 7 standardmäßig installiert

Offline DerE10ner

  • Standard-Benutzer
  • *
  • Beiträge: 6
Re: Raildriver für LokSim3D
« Antwort #9 am: April 04, 2012, 07:50:21 Vormittag »
Danke Dir erstmal fü Deine Mühe.Vielleicht klappt´s ja irgendwann

Offline JanZ

  • Standard
  • *
  • Beiträge: 2
Re: Raildriver für LokSim3D
« Antwort #10 am: Dezember 01, 2018, 19:37:01 Nachmittag »
Hallo zusammen,

kann mir jemand sagen, ob Loksim den Raildriver auch unter Windows 10 unterstützt? Ich überlege nämlich, mir einen zu Weihnachten zu wünschen ;).

Gruß Jan

Offline taler

  • Betatester
  • Hero Member
  • **
  • Beiträge: 2300
Re: Raildriver für LokSim3D
« Antwort #11 am: Dezember 02, 2018, 10:43:41 Vormittag »
Hallo Jan,

der Raildriver wird zur Zeit von Loksim nicht unterstützt.
Man kann sich aber ein Programm schreiben, wie von Lukas angedeutet, das die OLE-Schnittstelle benutzt. Die Beschreibung ist hier: https://github.com/Loksim3D/loksim3d-interfaces/tree/master/OLE zu finden. Oder man wartet, bis ich mit der Einbindung des Raildrivers fertig bin.

Gruss
Uwe

Offline JanZ

  • Standard
  • *
  • Beiträge: 2
Re: Raildriver für LokSim3D
« Antwort #12 am: Dezember 02, 2018, 18:01:15 Nachmittag »
Danke für die Info  :)!

Offline MartinM

  • Betatester
  • Full Member
  • **
  • Beiträge: 194
Re: Raildriver für LokSim3D
« Antwort #13 am: Dezember 02, 2018, 21:24:41 Nachmittag »
Hallo!

bitte nichts mehr für die OLE-Schnittstelle von Loksim programmieren. Die fliegt mittelfristig raus! Die Arbeiten für eine flexible UDP-Schnittstelle sind schon weit vorangeschritten! Diese wird die Nachfolge von der OLE-Schnittstelle sein.

Viele Grüße
Martin

Offline Miquel

  • Betatester
  • Hero Member
  • **
  • Beiträge: 620
Re: Raildriver für LokSim3D
« Antwort #14 am: Januar 27, 2019, 15:17:33 Nachmittag »
Die Arbeiten für eine flexible UDP-Schnittstelle sind schon weit vorangeschritten! Diese wird die Nachfolge von der OLE-Schnittstelle sein.

Muss die OLE-Schnittstelle, für die es sicherlich einige bereits funktionierende Anwendungen gibt, deswegen tatsächlich "rausfliegen"?